Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # for_each_pixel [STL-like Algorithms] ## Detailed Description std::for_each for image views for_each_pixel For contiguous images (i.e. images that have no alignment gap at the end of each row) it is more efficient to use the underlying pixel iterator that does not check for the end of rows. For non-contiguous images for_each_pixel resolves to for_each of each row using the underlying pixel iterator, which is still faster
## Functions
template<typename V, typename F>
F | for_each_pixel (const V &img, F fun)